<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
interface Engine_Translate_Writer_Interface
{
  public function getTranslation($key);

  public function getTranslations($key = null);

  public function removeTranslation($key);

  public function setTranslation($key, $value);

  public function setTranslations(array $data);
}
